/* ### STYLES FOR PANEL ### */
/* Change selection color to primary color */
*::selection {
    background-color: var(--clr-primary);
    color: white;
}
/* Change URL color link to primary color */
a {
    color: var(--clr-primary);
}
/* Disable text */
.disable.text {
    color: var(--clr-gray);
    pointer-events: none;
}

/* ### LANG SWITCHER ### */
.lang-switch {
    display: flex;
    align-items: center;
    gap: 10px;
    user-select: none;
}
.lang-switch > i {
    transform: translateY(10%);
    transition: transform 0.2s;
}
.lang-switch:hover > i {
    transform: translateY(-10%) rotate(-180deg);
}
.lang-switch .lang {
    display: flex;
    align-items: center;
    gap: 5px;
    height: 100%;
}
.lang-switch .lang > img {
    height: 100%;
}
/* Container of languages in tippy */
.langs-container {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.langs-container > div {
    display: flex;
    align-items: center;
    padding: 7px;
    transition: background-color 0.2s;
    cursor: pointer;
    border-radius: 7px;
    user-select: none;
    height: 34px;
    gap: 5px;
    font-weight: normal;
    font-size: 16px;
}
.langs-container > div:hover {
    background-color: var(--clr-white);
}
.langs-container > div.active {
    cursor: default;
    background-color: var(--clr-white-dark);
}
.langs-container > div > img {
    height: 100%;
}

span.plus-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: var(--clr-primary);
    color: white;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    font-size: 21px;
    overflow: hidden;
    transition: transform 0.2s;
    position: relative;
    cursor: pointer;
}
span.plus-button:hover {
    transform: scale(1.3);
}
span.plus-button::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 40%;
    height: 125%;
    transition: transform 0.2s;
    background-color: rgba(255, 255, 255, 0.5);
    transform: skew(-45deg) translate(-200%, -40%);
}
span.plus-button:hover::before {
    animation: blight 1s linear infinite;
}

/* ### MAIN PAGE ### */
main {
    background-color: var(--clr-white-light);
    height: inherit;
    transition: background-color 0.2s;
}

/* ### LOGIN FORM ### */
/* Login form to center */
main > .login-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: inherit;
}
.login-container > .login {
    width: 475px;
    border-radius: 15px;
    box-shadow: 0 15px 15px rgba(0, 0, 0, 0.15);
    background-color: white;
    padding: 20px;
    position: relative;
    overflow: hidden;
    animation: showFade 0.75s;
}
/* Title with logo */
.login-container > .login .title {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    font-size: 20px;
    font-weight: bold;
    text-transform: uppercase;
    user-select: none;
}
.login-container > .login .title > img {
    width: 26px;
}
/* Main form */
.login-container > .login form {
    width: 100%;
    position: absolute;
    display: flex;
    flex-direction: column;
    gap: 16px;
    text-align: center;
    transition: transform 0.2s, opacity 0.2s;
}
.login-container > .login form .checkbox > label {
    justify-content: center;
}
.login-container > .login form .others {
    font-size: 14px;
    user-select: none;
}
/* Error text */
.login-container > .login > .error {
    color: var(--clr-red);
    text-align: center;
    margin-top: 20px;
    height: 20px;
}
/* Lang switcher on right */
.login-container > .login .title .lang-switch {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    font-size: 16px;
    font-weight: normal;
}
.login-container > .login .title .lang-switch .lang {
    height: 19px;
}
/* .login-container > .login .title .langs-container > div:hover { */
/*     background-color: var(--clr-black-light); */
/* } */
/* .login-container > .login .title .langs-container > div.active { */
/*     background-color: var(--clr-black); */
/* } */
/* Form container and form positions */
.login-container > .login .form-container {
    position: relative;
    overflow-x: hidden;
    height: 270px;
    padding-top: 20px;
}
.login-container > .login .form-container form.hidden {
    opacity: 0;
    pointer-events: none;
}
.login-container > .login .form-container form.hidden.right {
    transform: translateX(65%);
}
.login-container > .login .form-container form.hidden.left {
    transform: translateX(-65%);
}
/* Back button on left */
.login-container > .login .title .back {
    position: absolute;
    cursor: pointer;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    transition: color 0.2s, background-color 0.2s, opacity 0.2s;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}
.login-container > .login .title .back[data-back=""] {
    opacity: 0;
    pointer-events: none;
}
.login-container > .login .title .back:hover {
    background-color: var(--clr-primary);
    color: white;
}
/* Loader on login form */
.login-container > .login .loader {
    position: absolute;
    top: 20px;
    left: 20px;
    width: calc(100% - 40px);
    height: calc(100% - 40px);
}

/* ### PANEL ### */
main .panel-container {
    height: 100%;
    padding: 30px;
    position: relative;
}
/* Aside menu on left */
main .panel-container > aside {
    background-color: white;
    position: fixed;
    height: calc(100% - 60px);
    width: 300px;
    border-radius: 15px;
    box-shadow: 0 15px 15px rgba(0, 0, 0, 0.15);
    padding: 20px;
    transition: background-color 0.2s, transform 0.2s, box-shadow 0.2s;
}
/* Header in aside menu */
main .panel-container > aside header {
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
main .panel-container > aside header .close {
    position: absolute;
    left: 0;
    cursor: pointer;
    width: 20px;
    height: 20px;
    align-items: center;
    justify-content: center;
    display: none;
}
main .panel-container > aside header .title {
    height: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 14px;
}
main .panel-container > aside header .title > img {
    height: 100%;
}
/* Profile on top in aside menu */
main .panel-container > aside .profile-container {
    height: 100px;
    position: absolute;
    width: calc(100% - 40px);
    padding: 10px 0;
}
main aside .profile {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 15px;
    cursor: pointer;
    transition: background-color 0.2s;
    padding: 10px;
}
main aside .profile:hover {
    background-color: var(--clr-white);
}
main .panel-container > aside .profile-container .profile > div {
    display: flex;
    align-items: center;
    gap: 10px;
    height: 100%;
}
main .panel-container > aside .profile-container .profile .icon {
    border-radius: 50%;
    width: 50px;
    height: 50px;
    background-color: var(--clr-gray);
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    color: gray;
    font-size: 20px;
}
main .panel-container > aside .profile-container .profile .icon > img {
    width: 100%;
    height: 100%;
}
/* User info styles */
main .panel-container > aside .profile-container .profile .user-info {
    line-height: 1.55;
}
main .panel-container > aside .profile-container .profile .user-info .username {
    font-size: 16px;
    font-weight: bold;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 160px;
}
/* Balance style */
main .panel-container > aside .profile-container .profile .user-info .balance {
    font-weight: bold;
    display: flex;
    align-items: center;
    gap: 10px;
}
main
    .panel-container
    > aside
    .profile-container
    .profile
    .user-info
    .balance
    .currency {
    color: var(--clr-gray);
}
main
    .panel-container
    > aside
    .profile-container
    .profile
    .user-info
    .balance
    .fraction {
    font-size: 13px;
}
/* Menu content */
main .panel-container > aside .menu-container {
    height: 100%;
    padding-top: 100px;
    padding-bottom: 70px;
}
main .panel-container > aside .menu-container .menu {
    height: 100%;
    border-top: 1px solid var(--clr-gray);
    border-bottom: 1px solid var(--clr-gray);
    overflow-y: auto;
    padding: 10px 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
    font-size: 14px;
    user-select: none;
}
main .panel-container > aside .menu-container .menu > a {
    display: block;
    transition: background-color 0.2s, color 0.2s;
    color: inherit;
    padding: 10px;
    text-transform: uppercase;
    font-weight: bold;
    display: flex;
    align-items: center;
    gap: 15px;
    text-decoration: none;
    border-radius: 15px;
}
main .panel-container > aside .menu-container .menu > a:hover,
main .panel-container > aside .menu-container .menu > a.active {
    background-color: var(--clr-primary);
    color: white;
}
main .panel-container > aside .menu-container .menu > a.active {
    pointer-events: none;
}
main .panel-container > aside .menu-container .menu > a .icon {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 27px;
    min-height: 27px;
    font-size: 20px;
}
/* Manage buttons on bottom in aside menu */
main .panel-container > aside .manage-buttons {
    bottom: 20px;
    position: absolute;
    height: 50px;
    width: calc(100% - 40px);
    padding: 10px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
main .panel-container > aside .manage-buttons > div {
    display: flex;
    align-items: center;
    gap: 20px;
    height: 100%;
}
/* Language switcher */
main .panel-container > aside .manage-buttons .lang-switch {
    height: 19px;
}
main .panel-container > aside .manage-buttons .lang-switch > i {
    transform: translateY(-10%) rotate(-180deg);
}
main .panel-container > aside .manage-buttons .lang-switch:hover > i {
    transform: translateY(10%);
}
/* Exit button */
main .panel-container > aside .manage-buttons .exit {
    display: block;
    width: 30px;
    height: 100%;
    color: var(--clr-red-alt);
    transition: background-color 0.2s, color 0.2s;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}
main .panel-container > aside .manage-buttons .exit:hover {
    color: white;
    background-color: var(--clr-red-alt);
    text-decoration: none;
}
/* Dashboard on right */
main .panel-container > .dashboard-container {
    height: 100%;
    width: 100%;
    padding-left: 330px;
}
main .panel-container > .dashboard-container > .dashboard {
    background-color: white;
    height: 100%;
    border-radius: 15px;
    box-shadow: 0 15px 15px rgba(0, 0, 0, 0.15);
    padding: 20px;
    transition: background-color 0.2s;
    position: relative;
}
main .panel-container > .dashboard-container > .dashboard > .loader {
    position: absolute;
    width: calc(100% - 40px);
    height: calc(100% - 65px);
    top: 45px;
}
/* Dashboard title */
main .panel-container > .dashboard-container > .dashboard > .title {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 25px;
    margin-bottom: 20px;
}
main .panel-container > .dashboard-container > .dashboard > .title .text {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 20px;
}
main .panel-container > .dashboard-container > .dashboard > .title .menu,
main .panel-container > .dashboard-container > .dashboard > .title .help {
    position: absolute;
    width: 25px;
    height: 25px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
    transition: opacity 0.2s;
}
main .panel-container > .dashboard-container > .dashboard > .title .menu {
    left: 0;
    display: none;
}
main .panel-container > .dashboard-container > .dashboard > .title .help {
    right: 0;
    color: var(--clr-gray);
}
main
    .panel-container
    > .dashboard-container
    > .dashboard
    > .title
    .help[data-help=""] {
    opacity: 0;
    pointer-events: none;
}
/* Dashboard content */
main .panel-container > .dashboard-container > .dashboard .content {
    overflow-y: auto;
    max-height: calc(100% - 45px);
    height: calc(100% - 45px);
}
main .dashboard .content > div:not(.max) {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
}
main .dashboard .content > div.max {
    padding: 10px;
    height: 100%;
}
/* Stats in home */
main .panel-container .dashboard .content .stats {
    height: 375px;
    border-radius: 15px;
    overflow: hidden;
}
main .panel-container .dashboard .content .stats header {
    background-color: var(--clr-white-light);
    height: 50px;
    display: grid;
    grid-template-columns: 150px auto;
    gap: 20px;
    padding: 0 20px;
    transition: background-color 0.2s;
}
main .panel-container .dashboard .content .stats header > div {
    display: flex;
    align-items: center;
}
main .dashboard .stats header > .left {
    gap: 10px;
}
main .dashboard .stats header > .right {
    overflow-x: auto;
}
main .dashboard .stats header > .right > .overflow-container {
    display: flex;
    align-items: center;
    gap: 20px;
}
main .panel-container .dashboard .content .stats header .title {
    font-weight: bold;
    font-size: 18px;
}
main .dashboard .stats header .overflow-container > div {
    white-space: nowrap;
}
main .dashboard .stats header .overflow-container > div {
    font-size: 14px;
    color: var(--clr-black-light-2);
    user-select: none;
    transition: color 0.2s;
}
main .dashboard .stats header .overflow-container > div > i:first-child {
    margin-right: 5px;
}
main .dashboard .stats header .overflow-container > div > i:last-child {
    transform: translateY(10%);
    transition: transform 0.2s;
}
main .dashboard .stats header .overflow-container > div:hover > i:last-child {
    transform: translateY(-10%) rotate(-180deg);
}
main .dashboard .content .stats header .tippy-markets-container {
    display: flex;
    flex-direction: column;
    gap: 7px;
}
main .dashboard .content .stats header .tippy-markets-container > span {
    padding: 7px;
    transition: background-color 0.2s;
    cursor: pointer;
    border-radius: 7px;
    user-select: none;
}
main .dashboard .content .stats header .loader-container,
main .dashboard .last-transactions > header .loader-container {
    width: 25px;
    height: 25px;
}
main .dashboard .stats header .loader,
main .dashboard .last-transactions > header .loader {
    position: static;
    background: none;
}
main .dashboard .stats header .loader svg,
main .dashboard .last-transactions > header .loader svg {
    width: 100%;
    height: 100%;
}
main .dashboard .content .stats header .tippy-markets-container > span:hover,
main .dashboard .content .stats header .tippy-markets-container > span.active {
    background-color: var(--clr-white);
}
main .dashboard .content .stats header .tippy-markets-container > span.active {
    pointer-events: none;
}
main .panel-container .dashboard .content .stats .chart {
    height: calc(100% - 50px);
    background-color: var(--clr-primary);
    padding: 20px;
    display: flex;
    flex-wrap: wrap;
    align-content: space-between;
    color: white;
}
main .panel-container .dashboard .content .stats .chart .info {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    width: 100%;
}
main .dashboard .content .stats .chart .info .number {
    font-weight: bold;
}
main .dashboard .content .stats .chart .info .text {
    text-transform: uppercase;
    font-size: 12px;
}
main .panel-container .dashboard .content .stats .chart .graph {
    position: relative;
    width: 100%;
    height: 225px;
}

/* Last transactions section */
main .dashboard .last-transactions {
    height: 375px;
    border-radius: 15px;
    border: 3px solid var(--clr-white-light);
    overflow: hidden;
    transition: border-color 0.2s;
}
main .dashboard .last-transactions > header {
    background-color: var(--clr-white-light);
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    transition: background-color 0.2s;
}
main .dashboard .last-transactions > header .title {
    font-weight: bold;
    font-size: 18px;
}
main .dashboard .last-transactions > header .left {
    display: flex;
    align-items: center;
    gap: 10px;
}
main .dashboard .last-transactions .grid-header {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    padding: 0 20px;
    height: 50px;
    text-align: center;
}
main .dashboard .last-transactions .grid-header > div {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
main .dashboard .last-transactions .data-container {
    overflow-x: auto;
    height: calc(100% - 50px);
}
main .dashboard .last-transactions .tx-container {
    padding: 10px 20px 20px 20px;
    height: calc(100% - 50px);
}
main .dashboard .last-transactions .data {
    display: grid;
    gap: 20px;
    font-size: 14px;
    text-align: center;
    overflow-y: auto;
    max-height: 100%;
}
main .dashboard .last-transactions .data > div {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    padding: 10px;
    height: 60px;
    transition: background-color 0.2s;
    border-radius: 15px;
}
main .dashboard .last-transactions .data > div > div {
    display: flex;
    align-items: center;
    justify-content: center;
}
main .dashboard .last-transactions .data img {
    width: 18px;
    height: 18px;
}
main .dashboard .last-transactions .data > div > .market {
    overflow: hidden;
    text-overflow: ellipsis;
}
main .dashboard .last-transactions .data > div > .currency {
    gap: 10px;
    cursor: pointer;
}
main .dashboard .last-transactions .data > div .status {
    padding: 5px;
    border-radius: 7px;
    font-size: 10px;
    font-weight: bold;
    text-transform: uppercase;
}
main .dashboard .last-transactions .data > div .status.success {
    background-color: var(--clr-green-light);
    color: var(--clr-green);
}
main .dashboard .last-transactions .data > div .status.wait {
    background-color: var(--clr-yellow-light);
    color: var(--clr-yellow-dark);
    display: flex;
    align-items: center;
    gap: 5px;
}
main .dashboard .last-transactions .data > div .status.error {
    background-color: var(--clr-red-light);
    color: var(--clr-red-dark);
}
main .dashboard .last-transactions .data > div .status.wait .loader {
    display: inline-flex;
    position: static;
    width: 12px;
    height: 12px;
    background: none;
}
main .dashboard .last-transactions .data > div .status.wait .loader svg {
    width: 100%;
    height: 100%;
}
main .dashboard .last-transactions .data > div .status.wait .loader circle {
    stroke: var(--clr-yellow-dark);
}

/* ### MARKETS PAGE ### */
main .dashboard .markets-header {
    display: flex;
    align-items: center;
    gap: 20px;
}
main .dashboard .markets-header .input-box {
    flex-grow: 1;
}
main .dashboard .markets-container {
    padding-top: 60px;
    height: calc(100% - 42px);
    margin-top: 5px;
    overflow: hidden;
    position: relative;
}
main .dashboard .markets-container .top-context-menu {
    position: absolute;
    top: 0;
    width: 100%;
    height: 50px;
    background-color: var(--clr-primary);
    border-radius: 7px;
    padding: 5px 20px;
    transition: transform 0.2s;
    transform: translateY(-100%);
    color: white;
    display: flex;
    align-items: center;
    gap: 20px;
}
main .dashboard .markets-container .top-context-menu > .text {
    font-weight: bold;
    font-size: 18px;
}
main .dashboard .markets-container .top-context-menu.active {
    transform: translateY(0);
}
main .dashboard .markets-container .data {
    display: flex;
    flex-direction: column;
    gap: 20px;
    overflow-y: auto;
    max-height: 100%;
    height: 100%;
}
main .dashboard .markets-container .data > div {
    display: flex;
    padding: 20px;
    padding-right: 45px;
    border-radius: 15px;
    background-color: var(--clr-white-light);
    min-height: 140px;
    transition: background-color 0.2s, color 0.2s;
    position: relative;
    gap: 20px;
}
main .dashboard .markets-container .data > div .menu {
    position: absolute;
    top: 20px;
    right: 20px;
    color: var(--clr-gray);
    cursor: pointer;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}
main .dashboard .markets-container .data > div .checkbox,
main .dashboard .markets-container .data > div .icon {
    display: flex;
    align-items: center;
}
main .dashboard .markets-container .data > div .icon {
    font-size: 28px;
}
main .dashboard .markets-container .data > div .info {
    flex-grow: 1;
}
main .dashboard .markets-container .data > div .info .name {
    font-weight: bold;
    font-size: 18px;
    overflow: hidden;
    text-overflow: ellipsis;
}
main .dashboard .markets-container .data > div .info .apikey {
    display: inline-flex;
    gap: 10px;
    align-items: center;
    padding: 5px;
    background-color: var(--clr-gray-light);
    color: var(--clr-gray);
    border-radius: 7px;
    cursor: pointer;
    margin-top: 5px;
    transition: background-color 0.2s, color 0.2s;
}
main .dashboard .markets-container .data > div .info .apikey .dots {
    font-size: 6px;
}
main .dashboard .markets-container .data > div .info .id {
    margin-top: 5px;
    font-size: 14px;
    font-style: italic;
    color: var(--clr-gray);
}
.modal-container form.linked-wallets {
    margin-top: 10px;
    height: 400px;
    overflow: auto;
    display: flex;
    flex-direction: column;
    gap: 15px;
    white-space: nowrap;
}
.modal-container form.linked-wallets .wallet-name {
    font-weight: bold;
}
.modal-container form.linked-wallets .wallet-address {
    font-size: 12px;
    color: var(--clr-gray);
    font-style: italic;
}
.modal-container form.linked-wallets input[type="number"] {
    width: 40px;
    text-align: right;
}

/* ### WALLETS PAGE ### */
main .dashboard .wallets-header {
    display: flex;
    flex-direction: column;
    padding-bottom: 10px;
    gap: 10px;
}
main .dashboard .wallets-header > .toolbar {
    display: flex;
    align-items: center;
    gap: 20px;
}
main .dashboard .wallets-header > .toolbar .input-box {
    flex-grow: 1;
}
main .dashboard .wallets-header > .filters {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
main .dashboard .wallets-header > .pages-container {
    display: flex;
    justify-content: center;
}
main .dashboard .wallets-container {
    padding-top: 60px;
    height: calc(100% - 131px);
    overflow: hidden;
    position: relative;
}
main .dashboard .wallets-container .top-context-menu {
    position: absolute;
    top: 0;
    width: 100%;
    height: 50px;
    background-color: var(--clr-primary);
    border-radius: 7px;
    padding: 5px 20px;
    transition: transform 0.2s;
    transform: translateY(-100%);
    color: white;
    display: flex;
    align-items: center;
    gap: 20px;
}
main .dashboard .wallets-container .top-context-menu > .text {
    font-weight: bold;
    font-size: 18px;
}
main .dashboard .wallets-container .top-context-menu.active {
    transform: translateY(0);
}
main .dashboard .wallets-container .data {
    display: flex;
    flex-direction: column;
    gap: 20px;
    overflow-y: auto;
    max-height: 100%;
    height: 100%;
}
main .dashboard .wallets-container .data > div {
    display: flex;
    padding: 20px;
    padding-right: 45px;
    border-radius: 15px;
    background-color: var(--clr-white-light);
    min-height: 180px;
    transition: background-color 0.2s, color 0.2s;
    position: relative;
    gap: 20px;
}
main .dashboard .wallets-container .data > div .checkbox,
main .dashboard .wallets-container .data > div .icon {
    display: flex;
    align-items: center;
}
main .dashboard .wallets-container .data > div .icon {
    width: 75px;
}
main .dashboard .wallets-container .data > div .icon img {
    width: 100%;
    height: 50px;
}
main .dashboard .wallets-container .data > div .icon .cryptoname {
    font-weight: 800;
    margin-top: 5px;
    text-transform: uppercase;
    text-align: center;
}
main .dashboard .wallets-container .data > div .info {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
main .dashboard .wallets-container .data > div .info .name {
    font-weight: bold;
    font-size: 20px;
}
main .dashboard .wallets-container .data > div .info .address {
    font-weight: 500;
    font-style: italic;
    cursor: pointer;
    display: inline-block;
    width: fit-content;
    flex-grow: 0;
}
main .dashboard .wallets-container .data > div .menu {
    position: absolute;
    top: 20px;
    right: 20px;
    color: var(--clr-gray);
    cursor: pointer;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* ### TRANSACTIONS PAGE ### */
main .dashboard .transactions-header > .filters {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 10px;
}
main .dashboard .transactions-header > .filters .dropdown > span {
    max-width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
}
main .dashboard .transactions-header > .pages-container {
    display: flex;
    justify-content: center;
    padding: 10px 0;
}
main .dashboard .transactions-container {
    height: calc(100% - 84px);
}
main .dashboard .transactions-container > .data {
    display: grid;
    gap: 20px;
    overflow-y: auto;
    max-height: 100%;
}
main .dashboard .transactions-container > .data > div {
    padding: 10px;
    border-radius: 15px;
    background-color: var(--clr-white-light);
    max-width: 100%;
    transition: background-color 0.2s, color 0.2s;
}
main .dashboard .transactions-container > .data:not(.table) > div {
    display: flex;
    gap: 10px;
    min-height: 190px;
}
main .dashboard .transactions-container > .data.table > div {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    min-height: 80px;
}
main .dashboard .transactions-container > .data.table > div > div {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
main .dashboard .transactions-container > .data:not(.table) > div > .icon {
    min-width: 50px;
    display: flex;
    align-items: center;
}
main .dashboard .transactions-container > .data:not(.table) .icon img {
    height: 50px;
    width: 50px;
}
main .dashboard .transactions-container > .data.table .currency {
    cursor: pointer;
}
main .dashboard .transactions-container > .data.table .currency img {
    width: 24px;
    height: 24px;
}
main .dashboard .transactions-container > .data.table .market {
    text-align: center;
}
main .dashboard .transactions-container > .data:not(.table) .info {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .amount-where {
    display: flex;
    align-items: center;
    gap: 10px;
    white-space: nowrap;
}
main .dashboard .transactions-container > .data:not(.table) .info .amount,
main .dashboard .transactions-container > .data:not(.table) .info .market {
    font-weight: bold;
}
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .market-container,
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .wallet-container,
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .cryptoamount-container,
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .time-container,
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .comment-container {
    display: flex;
    align-items: center;
    gap: 5px;
    transition: color 0.2s;
}
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .wallet-container {
    font-size: 14px;
    color: var(--clr-black-light-2);
    font-style: italic;
    cursor: pointer;
    user-select: none;
    white-space: nowrap;
}
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .cryptoamount-container,
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .time-container,
main
    .dashboard
    .transactions-container
    > .data:not(.table)
    .info
    .comment-container {
    font-size: 14px;
    color: var(--clr-black-light-2);
    font-style: italic;
    white-space: nowrap;
}
main .dashboard .transactions-container .data .status {
    padding: 5px;
    border-radius: 7px;
    font-size: 10px;
    font-weight: bold;
    text-transform: uppercase;
    width: fit-content;
}
main .dashboard .transactions-container .data .status.success {
    background-color: var(--clr-green-light);
    color: var(--clr-green);
}
main .dashboard .transactions-container .data .status.wait {
    background-color: var(--clr-yellow-light);
    color: var(--clr-yellow-dark);
    display: flex;
    align-items: center;
    gap: 5px;
}
main .dashboard .transactions-container .data .status.error {
    background-color: var(--clr-red-light);
    color: var(--clr-red-dark);
}
main .dashboard .transactions-container .data .status.wait .loader {
    display: inline-flex;
    position: static;
    width: 12px;
    height: 12px;
    background: none;
}
main .dashboard .transactions-container .data .status.wait .loader svg {
    width: 100%;
    height: 100%;
}
main .dashboard .transactions-container .data .status.wait .loader circle {
    stroke: var(--clr-yellow-dark);
}

/* ### RATE PAGE ### */
main .dashboard .content > div.rate-container {
    grid-template-columns: repeat(3, 1fr);
}
main .dashboard .rate-container > .rate {
    display: flex;
    align-items: center;
    justify-content: space-around;
    transition: background-color 0.2s;
    background-color: var(--clr-white-light);
    border-radius: 15px;
    padding: 20px;
}
main .dashboard .rate-container > .rate .info {
    font-weight: 800;
    font-size: 20px;
    color: var(--clr-primary);
    transition: color 0.2s, background-color 0.2s;
    padding: 5px;
    border-radius: 7px;
}
main .dashboard .rate-container > .rate .info.update {
    animation: updateBlight 0.5s linear;
}
main .dashboard .rate-container > .rate .icon {
    width: 50px;
}
main .dashboard .rate-container > .rate .icon img {
    width: 50px;
    height: 50px;
}
main .dashboard .rate-container > .rate .icon .cryptoname {
    font-weight: 800;
    margin-top: 5px;
    text-transform: uppercase;
    text-align: center;
}

/* TOP UP MODAL */
.currency-selector {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: 116px;
}
.currency-selector > .currency {
    padding: 15px;
    transition: background-color 0.2s, color 0.2s;
    cursor: pointer;
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.currency-selector > .currency:hover {
    background-color: var(--clr-white-light);
}
.currency-selector > .currency.active {
    background-color: #ededed;
    pointer-events: none;
}
.currency-selector > .currency .icon img {
    height: 40px;
}
.currency-selector > .currency .name {
    font-weight: bold;
    font-size: 14px;
}

/* TRANSACTION PAGE */
main > .transaction-container {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
}
/* Copyright text */
main > .transaction-container > .copyright {
    position: fixed;
    bottom: 0;
    /* left: 50%; */
    /* transform: translateX(-50%); */
    padding-bottom: 10px;
    font-style: italic;
    color: var(--clr-black-light-2);
    transition: color 0.2s;
    text-align: center;
    width: 100%;
}
/* Transaction frame */
main > .transaction-container > .transaction {
    width: 500px;
    max-height: calc(100% - 60px);
    overflow-y: auto;
    padding-top: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
main > .transaction-container .qr-container {
    width: 100%;
    height: 500px;
    background-color: white;
    border-radius: 15px;
    padding: 15px;
    transition: background-color 0.2s;
}
main > .transaction-container .qr {
    background-size: contain;
    background-repeat: round;
    width: 100%;
    height: 100%;
}
main > .transaction-container .description {
    font-size: 18px;
    text-align: center;
    font-style: italic;
}
main > .transaction-container .currency {
    text-align: center;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    font-size: 25px;
}
main > .transaction-container .currency img {
    width: 26px;
}
main > .transaction-container .data-container {
    background-color: white;
    padding: 0 15px;
    font-weight: 800;
    width: 100%;
    cursor: pointer;
    transition: background-color 0.2s;
    border-radius: 7px;
    font-size: 20px;
}
main > .transaction-container .data {
    max-width: 100%;
    padding: 15px 0;
    overflow-x: auto;
}
main > .transaction-container .status {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    padding: 15px;
    border-radius: 7px;
    text-transform: uppercase;
    font-weight: 800;
    transition: background-color 0.2s, color 0.2s;
    font-size: 22px;
}
main > .transaction-container .status[data-value="success"] {
    background-color: var(--clr-green-light);
    color: var(--clr-green);
}
main > .transaction-container .status[data-value="confirm"] {
    background-color: var(--clr-blue-light);
    color: var(--clr-blue-dark);
}
main > .transaction-container .status[data-value="wait"] {
    background-color: var(--clr-yellow-light);
    color: var(--clr-yellow-dark);
}
main > .transaction-container .status[data-value="error"] {
    background-color: var(--clr-red-light);
    color: var(--clr-red-dark);
}
main > .transaction-container .status .icon {
    width: 30px;
    height: 30px;
    font-size: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}
main > .transaction-container .status .icon .loader {
    position: static;
    background: none;
    z-index: 1000;
}
main > .transaction-container .status[data-value="success"] .loader circle {
    stroke: var(--clr-green);
}
main > .transaction-container .status[data-value="confirm"] .loader circle {
    stroke: var(--clr-blue-dark);
}
main > .transaction-container .status[data-value="wait"] .loader circle {
    stroke: var(--clr-yellow-dark);
}
main > .transaction-container .status[data-value="error"] .loader circle {
    stroke: var(--clr-red-dark);
}

/* ### ADAPTATION ### */
@media (max-width: 1784px) {
    /* Styles for panel */
    main .dashboard .content > div:not(.max):not(.rate-container) {
        grid-template-columns: repeat(1, 1fr);
    }

    main > .transaction-container > .transaction {
        width: 300px;
    }
    main > .transaction-container .qr-container {
        height: 300px;
    }
    main > .transaction-container .description {
        font-size: 12px;
    }
    main > .transaction-container .currency {
        font-size: unset;
    }
    main > .transaction-container .data-container {
        font-size: unset;
    }
    main > .transaction-container .status {
        font-size: unset;
    }
    main > .transaction-container .status .icon {
        width: 26px;
        height: 26px;
        font-size: 24px;
    }
}

@media (max-width: 1155px) {
    /* Style for panel */
    main .panel-container .dashboard .content .stats .chart .graph {
        height: 175px;
    }
    main .panel-container .dashboard .content .stats .chart .info {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 1068px) {
    /* Styles for panel */
    main .panel-container {
        padding: unset;
    }
    main .panel-container .dashboard-container {
        padding: unset;
    }
    main .panel-container .dashboard-container .dashboard {
        border-radius: unset;
    }
    main .panel-container aside {
        z-index: 1000;
        height: 100%;
        border-radius: unset;
        transform: translateX(-100%);
        box-shadow: none;
    }
    main .panel-container aside.active {
        transform: translateX(0);
        box-shadow: 0 15px 15px rgba(0, 0, 0, 0.15);
    }
    main .panel-container .dashboard-container .dashboard > .title .menu,
    main .panel-container > aside header .close {
        display: flex;
    }

    .modal-container .modal {
        width: 90%;
        font-size: 12px;
    }
    .modal-container > .modal > .title .text {
        font-size: 16px;
    }
}

@media (max-width: 687px) {
    /* Styles for panel */
    main .panel-container .dashboard .content .stats header .title {
        font-size: 14px;
    }
    main .dashboard .stats header .overflow-container > div {
        font-size: 12px;
    }
    main .dashboard .content .stats header .loader-container {
        width: 20px;
        height: 20px;
    }
    main .dashboard .last-transactions .grid-header {
        font-size: 12px;
        min-width: 490px;
    }
    main .dashboard .last-transactions .tx-container {
        min-width: 490px;
    }
    main .dashboard .last-transactions .data {
        font-size: 10px;
    }
    main .dashboard .last-transactions .data > div .status {
        font-size: 7px;
    }
    main .dashboard .last-transactions .data > div .status.wait .loader {
        width: 8px;
        height: 8px;
    }
    main .dashboard .last-transactions .data img {
        width: 14px;
        height: 14px;
    }

    main .dashboard .transactions-header > .filters {
        grid-template-columns: repeat(6, 1fr);
    }
    main .dashboard .transactions-header > .filters .dropdown {
        font-size: 10px;
    }
    main .dashboard .transactions-header > .filters .dropdown > span {
        max-width: 60px;
    }
    main .dashboard .transactions-header > .filters .markets {
        grid-column: 1 / 3;
    }
    main .dashboard .transactions-header > .filters .currencies {
        grid-column: 3 / 5;
    }
    main .dashboard .transactions-header > .filters .statuses {
        grid-column: 5 / 7;
    }
    main .dashboard .transactions-header > .filters .filters {
        grid-column: 1 / 4;
    }
    main .dashboard .transactions-header > .filters .orders {
        grid-column: 4 / 7;
    }
    main .dashboard .transactions-container {
        height: calc(100% - 112px);
    }

    main .dashboard .content > div.rate-container {
        grid-template-columns: repeat(1, 1fr);
    }

    .modal-container .currency-selector {
        grid-template-columns: repeat(6, 1fr);
    }
    .modal-container .currency-selector > .currency:nth-child(1) {
        grid-column: 1 / 3;
    }
    .modal-container .currency-selector > .currency:nth-child(2) {
        grid-column: 3 / 5;
    }
    .modal-container .currency-selector > .currency:nth-child(3) {
        grid-column: 5 / 7;
    }
    .modal-container .currency-selector > .currency:nth-child(4) {
        grid-column: 1 / 4;
    }
    .modal-container .currency-selector > .currency:nth-child(5) {
        grid-column: 4 / 7;
    }
}

@media (max-width: 500px) {
    /* Styles for login page */
    main .login-container > .login {
        width: 90%;
        font-size: 13px;
    }
    main .login-container > .login .title .text {
        font-size: 14px;
    }
    main .login-container > .login .title > img {
        width: 20px;
    }
    main .login-container > .login .title .lang-switch {
        font-size: 11px;
    }
    main .login-container > .login .title .lang-switch .lang {
        height: 14px;
    }
    main .login-container > .login .title .back {
        width: 20px;
        height: 20px;
        font-size: 11px;
    }
    main .login-container > .login button {
        font-size: 11px;
    }
    main .login-container > .login form .others {
        font-size: 12px;
    }

    main .dashboard .transactions-container .data:not(.table) .market {
        max-width: 90px;
        text-overflow: ellipsis;
        overflow: hidden;
    }
    main .dashboard .transactions-container .data:not(.table) .wallet {
        max-width: 200px;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    main .dashboard .wallets-header > .filters .currency,
    main .dashboard .wallets-header > .filters .multiwork {
        text-overflow: ellipsis;
        overflow: hidden;
        max-width: 80px;
    }

    main .dashboard .wallets-container .data > div {
        gap: 10px;
    }
    main .dashboard .wallets-container .data > div .icon {
        width: 40px;
    }
    main .dashboard .wallets-container .data > div .icon img {
        height: 40px;
    }
    main .dashboard .wallets-container .data > div .icon .cryptoname {
        font-size: 9px;
    }
    main .dashboard .wallets-container .data > div .info .name,
    main .dashboard .wallets-container .data > div .info .address {
        max-width: 120px;
        text-overflow: ellipsis;
        overflow: hidden;
    }
    main .dashboard .wallets-container .data > div .info .name {
        font-size: 15px;
    }
    main .dashboard .wallets-container .data > div .info .address {
        font-size: 12px;
    }

    main > .transaction-container .copyright {
        font-size: 10px;
    }
}

/* ### DARK THEME ### */
body[data-theme="dark"] main {
    background-color: var(--clr-black-dark);
}
body[data-theme="dark"] main .login-container .login,
body[data-theme="dark"] main .panel-container > aside,
body[data-theme="dark"] main .panel-container > .dashboard-container .dashboard,
body[data-theme="dark"] main .transaction-container .qr-container,
body[data-theme="dark"] main > .transaction-container .data-container {
    background-color: var(--clr-black-light);
}

/* Dashboard page */
body[data-theme="dark"] main aside .profile:hover,
body[data-theme="dark"] main .dashboard .last-transactions .data > div:hover,
body[data-theme="dark"] main .dashboard .content .stats header,
body[data-theme="dark"] main .dashboard .last-transactions > header,
body[data-theme="dark"] main .dashboard .markets-container .data > div,
body[data-theme="dark"] main .dashboard .transactions-container .data > div,
body[data-theme="dark"] main .dashboard .rate-container > .rate,
main .dashboard .wallets-container .data > div {
    background-color: var(--clr-black-light-2);
}
body[data-theme="dark"] main .dashboard .stats header .overflow-container > div,
body[data-theme="dark"]
    main
    .dashboard
    .transactions-container
    .data:not(.table)
    .wallet-container,
body[data-theme="dark"]
    main
    .dashboard
    .transactions-container
    .data:not(.table)
    .cryptoamount-container,
body[data-theme="dark"]
    main
    .dashboard
    .transactions-container
    .data:not(.table)
    .comment-container,
body[data-theme="dark"]
    main
    .dashboard
    .transactions-container
    .data:not(.table)
    .time-container {
    color: var(--clr-white-dark);
}
body[data-theme="dark"] main .dashboard .last-transactions {
    border-color: var(--clr-black-light-2);
}

body[data-theme="dark"]
    main
    .dashboard
    .markets-container
    .data
    > div
    .info
    .apikey {
    background-color: var(--clr-gray);
    color: var(--clr-gray-light);
}

body[data-theme="dark"] main .dashboard .rate-container > .rate .info {
    color: white;
}
body[data-theme="dark"] main .dashboard .rate-container > .rate .info.update {
    animation: updateBlightInverse 0.5s linear;
}

body[data-theme="dark"] .currency-selector > .currency:hover {
    background-color: #5e5e5e;
}
body[data-theme="dark"] .currency-selector > .currency.active {
    background-color: var(--clr-black-light-2);
    pointer-events: none;
}

body[data-theme="dark"] main > .transaction-container > .copyright {
    color: var(--clr-gray);
}
